%define src_ver 0.0-3
%define languagelocal catala
%define languageeng catalan
%define languageenglazy Catalan
%define languagecode ca
%define lc_ctype ca_ES
%define isonumber iso8859-1

Summary:       %{languageenglazy} files for aspell
Name:          aspell-%{languagecode}
Version:       0.1
Release:       4mdk
Group:         System/Internationalization
Source:        %{name}-%{src_ver}.tar.bz2
URL:           http://www-lsi.upc.es/~valiente/tug-catalan.html
License:       GPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

BuildRequires: aspell
BuildRequires: libpspell-devel
BuildRequires: make
Requires:      aspell

# Mandrake Stuff
Requires:      locales-%{languagecode}
Provides:      aspell-dictionary

# RedHat Stuff. is this right: aspell-ca??
#Obsoletes: ispell-ca, ispell-catalan, aspell-ca

ExcludeArch:   ia64
Autoreqprov:   no

%description
A %{languageenglazy} dictionary for use with aspell, a spelling checker.

%prep
%setup -q -n %{name}-%{src_ver}

%build

# don't use macro
./configure

%make

%install
rm -fr $RPM_BUILD_ROOT

#don't use macro
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_datadir}/aspell/*
%{_libdir}/aspell/*
%{_datadir}/pspell/*

%changelog
* Fri Jan 11 2002 Stefan van der Eijk <stefan@eijk.nu> 0.1-4mdk
- BuildRequires

* Wed Nov  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1-3mdk
- Undo move to /usr/share/pspell4

* Tue Nov  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1-2mdk
- Release 0.0-3 (from aspell site)
- Move pspell data to correct directory

* Sun Aug 13 2000 Troels Liebe Bentsen <tlb@iname.com> 0.1-1mdk
- Cleaned up the spec and moved to standard template.
- First version for Mandrake - copied from RedHat spec.
- Macroszification.

* Tue Aug 01 2000 Trond Eivind Glomsrd <teg@redhat.com> 0.1-4
- rebuild

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com> 0.1-3
- automatic rebuild

* Fri Jun 30 2000 Trond Eivind Glomsrd <teg@redhat.com> 0.1-2
- use "ca", the ISO 639 name
- use the proper name on the pwli file

* Mon Jun 26 2000 Trond Eivind Glomsrd <teg@redhat.com> 0.1-1
- first RPM
